BeagleWksBMParserInternal::State Struct Reference

Internal: the state of a BeagleWksBMParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

long | m_graphicBegin
| the graphic begin position
Bitmap | m_bitmap
| the bitmap data
std::shared_ptr< MWAWPict > | m_pict
| the bitmap
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a BeagleWksBMParser.

## Constructor & Destructor Documentation

## State()

BeagleWksBMParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int BeagleWksBMParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_bitmap

Bitmap BeagleWksBMParserInternal::State::m_bitmap

the bitmap data

Referenced by State().

## m_footerHeight

int BeagleWksBMParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_graphicBegin

long BeagleWksBMParserInternal::State::m_graphicBegin

the graphic begin position

Referenced by State().

## m_headerHeight

int BeagleWksBMParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_numPages

int BeagleWksBMParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_pict

std::shared_ptr<MWAWPict> BeagleWksBMParserInternal::State::m_pict

the bitmap

Referenced by State().

## m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksBMParserInternal::State::m_typeEntryMap

the type entry map

Referenced by State().

The documentation for this struct was generated from the following file:

- BeagleWksBMParser.cxx